Last Comment Bug 654890 - [css3-animations] -moz-animation-play-state should not be part of -moz-animation shorthand
: [css3-animations] -moz-animation-play-state should not be part of -moz-animat...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla5
Assigned To: David Baron :dbaron: ⌚️UTC+1 (busy September 14-25)
:
Mentors:
Depends on:
Blocks: 1037314
  Show dependency treegraph
 
Reported: 2011-05-04 16:53 PDT by David Baron :dbaron: ⌚️UTC+1 (busy September 14-25)
Modified: 2014-07-10 21:28 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (7.06 KB, patch)
2011-05-06 19:09 PDT, David Baron :dbaron: ⌚️UTC+1 (busy September 14-25)
bzbarsky: review+
bugzilla: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC+1 (busy September 14-25) 2011-05-04 16:53:51 PDT
I didn't notice that -moz-animation-play-state wasn't part of the -moz-animation shorthand, so I implemented it as part of the shorthand.

It's currently being discussed on www-style, so it might change, though:
http://lists.w3.org/Archives/Public/www-style/2011May/0082.html
Comment 1 David Baron :dbaron: ⌚️UTC+1 (busy September 14-25) 2011-05-06 19:09:28 PDT
Created attachment 530792 [details] [diff] [review]
patch
Comment 2 Boris Zbarsky [:bz] (TPAC) 2011-05-06 19:27:39 PDT
Comment on attachment 530792 [details] [diff] [review]
patch

r=me
Comment 3 David Baron :dbaron: ⌚️UTC+1 (busy September 14-25) 2011-05-09 12:19:31 PDT
https://hg.mozilla.org/mozilla-central/rev/2054cc185d8b
Comment 4 David Baron :dbaron: ⌚️UTC+1 (busy September 14-25) 2011-05-10 07:57:38 PDT
Comment on attachment 530792 [details] [diff] [review]
patch

This is a very straightforward patch to our animations support to match the spec and WebKit; just something that I misread in the spec.  It has good test coverage, so I think it's very low risk.
Comment 5 JP Rosevear [:jpr] 2011-05-12 14:45:23 PDT
Please land for Aurora by Monday May 16 or the approval will potentially be lost.  Please mark as status-firefox5 fixed when you do.
Comment 6 David Baron :dbaron: ⌚️UTC+1 (busy September 14-25) 2011-05-13 10:41:38 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/811f84878316

Note You need to log in before you can comment on or make changes to this bug.